#!/bin/bash

# Remplir le fichier forward


if [ $EUID -eq 0 ]
then
  USER=${SUDO_USER}
  HOMEDIR=$(getent passwd ${USER} | cut -d ":" -f 6)
  FILE=${HOMEDIR}/forwards

  touch ${FILE}
  chown ${USER}:users ${FILE}
  chmod 600 ${FILE}

  find /home -mindepth 2 -maxdepth 2 -type d | sort | \
  while read -r dossier;
  do
   if test -f ${dossier}/.forward;
   then
    echo -n "${dossier/\/home\//} : ";
    cat ${dossier}/.forward
   fi
  done > ${FILE}

else
  echo "À exécuter en root !"
fi
